package com.fs.project.mapper;

import com.fs.project.domain.ProjectPermission;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目权限Mapper接口
 *
 * @author fs
 * @date 2025-12-30
 */
public interface ProjectPermissionMapper {
    /**
     * 查询项目权限
     *
     * @param id 项目权限主键
     * @return 项目权限
     */
    public ProjectPermission selectProjectPermissionById(Long id);

    /**
     * 查询项目权限列表
     *
     * @param projectPermission 项目权限
     * @return 项目权限集合
     */
    public List<ProjectPermission> selectProjectPermissionList(ProjectPermission projectPermission);

    /**
     * 新增项目权限
     *
     * @param projectPermission 项目权限
     * @return 结果
     */
    public int insertProjectPermission(ProjectPermission projectPermission);

    /**
     * 修改项目权限
     *
     * @param projectPermission 项目权限
     * @return 结果
     */
    public int updateProjectPermission(ProjectPermission projectPermission);

    /**
     * 删除项目权限
     *
     * @param id 项目权限主键
     * @return 结果
     */
    public int deleteProjectPermissionById(Long id);

    /**
     * 批量删除项目权限
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectPermissionByIds(Long[] ids);

    ProjectPermission selectByUniqueKey(@Param("companyId") Long companyId, @Param("projectType") String projectType, @Param("deleted") Integer deleted);
}
